import { BottomSheet } from "react-spring-bottom-sheet";

const customBottomSheet = ({
  className,
  cancel,
  hidden,
  children,
  height, //= window.innerHeight / 2,
}) => {
  return (
    <BottomSheet
      className={className}
      open={!hidden}
      defaultSnap={height}
      // blocking
      onDismiss={cancel}
      snapPoints={() => [
        window.innerHeight / 6,
        window.innerHeight / 2,
        window.innerHeight * 0.95,
      ]}
    >
      {children}
    </BottomSheet>
  );
};
export default customBottomSheet;
