import React from "react";
import { ToastContainer, Slide } from "react-toastify";
const Toast = () => {
  return (
    <React.Fragment>
      <ToastContainer
        position="bottom-left"
        theme="colored"
        autoClose={3000}
        // hideProgressBar={true}
        newestOnTop={true}
        closeOnClick
        rtl={true}
        pauseOnFocusLoss
        draggable
        pauseOnHover
        Progress="0.1"
        transition={Slide}
      />
    </React.Fragment>
  );
};
export default Toast;
