import proxy from "../proxy";
const audit = {
  check:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("audit/check", data, { dispatch }),
  revokeRole:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("audit/revokeRole", data, { dispatch }),
  revokeTask:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("audit/revokeTask", data, { dispatch }),
  multiAssign:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("audit/multiAssign", data, { dispatch }),
};

export default audit;
