import proxy from "~/redux/proxy";
const certificate = {
  list:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("certificate/list", data, { dispatch }),
  add:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("certificate/add", data, { dispatch }),
  healthQualification_start:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("certificate/healthQualification/start", data, {
        dispatch,
      }),
  freeAuditRegistration_start:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("certificate/freeAuditRegistration/start", data, {
        dispatch,
      }),
  certifiedGuildAddUnitStart:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("certificate/certifiedGuildAddUnitStart", data, {
        dispatch,
      }),
  freeAuditAddUnitStart:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("certificate/freeAuditAddUnitStart", data, {
        dispatch,
      }),
  checkConflict:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("certificate/checkConflict", data, {
        dispatch,
      }),
};

export default certificate;
