import proxy from "~/redux/proxy";
const publicApi = {
  report:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("public/report", data, { dispatch }),
  //blog start
  captcha:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/captcha", data, { dispatch }),
  setHashtag: (data) => async (dispatch) =>
    await dispatch({ type: "public/setHashtag", data }),
  blogList:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/blogList", data, { dispatch }),
  blogInfo:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/blogInfo", data, { dispatch }),
  // blog end
  bookInfo:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      return await proxy.get("public/vod/bookCourse", data, { dispatch });
      // return await proxy.get("book/info", data2, { dispatch });
    },
  bookSection:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/vod/bookSection", data, { dispatch }),
  activeSeason: (data) => async (dispatch) =>
    await dispatch({ type: "public/vod/activeSeason", data }),
  activeVOD: (data) => async (dispatch) =>
    await dispatch({ type: "public/vod/activeVOD", data }),
  loginMenu:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/loginMenu", data, { dispatch }),
  changesLog:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/changesLog", data, { dispatch }),
  sliderList: (data) => async (dispatch) =>
    await proxy.get("public/slider/list", data, { dispatch }),
  sendOtp:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/otp", data, { dispatch }),
  clearOtp:
    (data = {}) =>
    async (dispatch) =>
      dispatch({ type: "public/clearOtp", data }),
  getArList: (data) => async (dispatch) =>
    await proxy.get("public/ar", data, { dispatch }),
};

export default publicApi;
