import proxy from "../proxy";

const userAddress = {
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("userAddress/list", data, { dispatch });
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("userAddress/info", data, { dispatch });
    },
  update:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      return await proxy.put("userAddress/update", data, { dispatch });
      // return await proxy.get("userAddress/list", data2, { dispatch });
    },
  add:
    (data = {}, data2 = {}, data3 = {}) =>
    async (dispatch) => {
      return await proxy.post("userAddress/add", data, { dispatch });
      // return await proxy.get("userAddress/list", data2, { dispatch });
    },
  del:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      return await proxy.delete("userAddress/delete", data, { dispatch });
      // return await proxy.get("userAddress/list", data2, { dispatch });
    },
};

export default userAddress;
