import proxy from "../proxy";

const userFavorite = {
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("userFavorite/list", data, { dispatch });
    },
  update:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      return await proxy.put("userFavorite/update", data);
      return await proxy.get("userFavorite/list", data2, { dispatch });
    },
  add:
    (data = {}, data2 = {}, data3 = {}) =>
    async (dispatch) => {
      return await proxy.post("userFavorite/add", data, { dispatch });
    },
  del:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      return await proxy.delete("userFavorite/delete", data, { dispatch });
    },
};

export default userFavorite;
